Package org.eclipse.emf.cdo.compare

## Class CDOCompare.CDOIDFunction

- java.lang.Object
- - org.eclipse.emf.cdo.compare.CDOCompare.CDOIDFunction

- All Implemented Interfaces:
    `com.google.common.base.Function<org.eclipse.emf.ecore.EObject,​java.lang.String>`, `java.util.function.Function<org.eclipse.emf.ecore.EObject,​java.lang.String>`
  Enclosing class:
    CDOCompare

      public static class CDOCompare.CDOIDFunction
      extends java.lang.Object
      implements com.google.common.base.Function<org.eclipse.emf.ecore.EObject,​java.lang.String>

  An `ID function` that considers the `CDOID`s of `objects`.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOIDFunction()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `apply​(org.eclipse.emf.ecore.EObject o)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.common.base.Function

      `equals`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose`

- - ### Constructor Detail

    - #### CDOIDFunction

          public CDOIDFunction()

  - ### Method Detail

    - #### apply

          public java.lang.String apply​(org.eclipse.emf.ecore.EObject o)

      Specified by:
        `apply` in interface `com.google.common.base.Function<org.eclipse.emf.ecore.EObject,​java.lang.String>`
      Specified by:
        `apply` in interface `java.util.function.Function<org.eclipse.emf.ecore.EObject,​java.lang.String>`